@echo off
REM **************************************************************************
REM
REM ADDDIZ.BAT To add a file description to archives with an FILE_ID.DIZ
REM
REM **************************************************************************
if %2==ZIP goto ZIP
if %2==LHA goto LHA
if %2==LZH goto LHA
if %2==ARJ goto ARJ
if %2==GIF goto GIF
if %2==EXE goto EXE
if %2==DMS goto DMS
goto end

:ZIP
pkzip %1 file_id.diz >NUL
goto end

:LHA
lha a %1 file_id.diz >NUL
goto end

:ARJ
arj a %1 file_id.diz >NUL
goto end

:END
